<?php
class NamBftproBridge {
	static function main() {
		global $wpdb;
		
		$lists = $wpdb->get_results("SELECT * FROM ".BFTPRO_LISTS." ORDER BY name");
		$courses = $wpdb->get_results("SELECT * FROM {$wpdb->posts}
			WHERE post_type = 'namaste_course'  AND (post_status='publish' OR post_status='draft')
			ORDER BY post_title"); 
			
		if(!empty($_POST['add'])) {
			$wpdb->query($wpdb->prepare("INSERT INTO ".NAMBFTPRO_TRIGGERS." SET
				course_id=%d, list_id=%d, trigger_action=%s",
				$_POST['course_id'], $_POST['list_id'], $_POST['trigger_action']));
				
			bftpro_redirect("admin.php?page=nambftpro");	
		}	 
		
		if(!empty($_POST['save'])) {
			$wpdb->query($wpdb->prepare("UPDATE ".NAMBFTPRO_TRIGGERS." SET
				course_id=%d, list_id=%d, trigger_action=%s WHERE id=%d",
				$_POST['course_id'], $_POST['list_id'], $_POST['trigger_action'], $_POST['id']));
				
			bftpro_redirect("admin.php?page=nambftpro");	
		}	
		
		if(!empty($_POST['del'])) {
			$wpdb->query($wpdb->prepare("DELETE FROM ".NAMBFTPRO_TRIGGERS." WHERE id=%d", $_POST['id']));
		} 
		
		// select all triggers
		$triggers = $wpdb->get_results("SELECT tT.*, tL.name as list_name, tC.post_title as course_title
			FROM ".NAMBFTPRO_TRIGGERS." tT JOIN ".BFTPRO_LISTS." tL ON tL.id = tT.list_id
			JOIN {$wpdb->posts} tC ON tC.ID = tT.course_id AND tC.post_type = 'namaste_course'
			ORDER BY tT.id");
			
		include(NAMBFTPRO_PATH."/views/triggers.html.php");	
	} // end main()
	
	// handles when user subscribes to a mailing list
	static function subscribe($user_id, $list_id) {
		global $wpdb;
		
		// select triggers
		$triggers = $wpdb->get_results($wpdb->prepare("SELECT * FROM ".NAMBFTPRO_TRIGGERS." 
			WHERE trigger_action='subscribe' AND list_id=%d", $list_id));
			
		if(!sizeof($triggers)) return false;
		
		// user already exists as WP user? If not, we need to create account
		$member = $wpdb->get_row($wpdb->prepare("SELECT * FROM ".BFTPRO_USERS." WHERE id=%d", $user_id));
		if(empty($member->id)) return false;
		
		$user = get_user_by('email', $member->email);
		if(empty($user->ID)) {
			// create WP user
			$pass = wp_generate_password( 8, false );
			$user_id = wp_create_user($member->email, $pass, $member->email);
		}	else $user_id = $user->ID;	
		
		foreach($triggers as $trigger) {
			// if already enrolled, do nothing. Else enroll or update status
			$exists = $wpdb->get_row($wpdb->prepare("SELECT * FROM ".NAMASTE_STUDENT_COURSES." 
				WHERE course_id=%d AND user_id=%d", $trigger->course_id, $user_id));			
			
			if(empty($exists->id)) {
				$wpdb->query($wpdb->prepare("INSERT INTO ".NAMASTE_STUDENT_COURSES." SET
					course_id = %d, user_id = %d, status = %s, enrollment_date = CURDATE(),
					completion_date='1900-01-01', comments=''",
					$trigger->course_id, $user_id, 'enrolled'));
			}
			else {
				if($exists->status == 'enrolled') return true;
				$wpdb->query($wpdb->prepare("UPDATE ".NAMASTE_STUDENT_COURSES." SET
					status='enrolled', enrollment_date=CURDATE() WHERE id=%d", $exists->id));
			}					
		}
	} // end catching subscribe()
	
	// catch the enroll action
	static function enroll_course($user_id, $course_id, $status) {
		global $wpdb;
		include_once(BFTPRO_PATH."/models/user.php");
		$_bftpro_user = new BFTProUser();
		$_bftpro_user->ignore_redirect = true;
		
		if($status != 'enrolled') return false;
		
		// select triggers
		$triggers = $wpdb->get_results($wpdb->prepare("SELECT * FROM ".NAMBFTPRO_TRIGGERS." 
			WHERE trigger_action='enrolls_in_course' AND course_id=%d", $course_id));
			
		if(!sizeof($triggers)) return false;
		
		$user = get_userdata($user_id);
      $email = $user->user_email;
      $name = $user->display_name;
		
		foreach($triggers as $trigger) {
			$vars = array("name"=>$name, "email"=>$email, "list_id"=>$trigger->list_id, "status"=>1);
			// fill any required fields with "1" to avoid errors			
			$fields=$wpdb->get_results($wpdb->prepare("SELECT * FROM ".BFTPRO_FIELDS." WHERE list_id=%d", $trigger->list_id));
			foreach($fields as $field) {
				if(!$field->is_required) continue;
				$vars['field_'.$field->id] = empty($data['field_'.$field->id]) ? 1 : $data['field_'.$field->id];
			}		 		
		 		
		 	$_bftpro_user->subscribe($vars, $message, true);
		} // end foreach trigger
	} // end catching enroll
	
	// catch the complete action
	static function complete_course($user_id, $course_id) {
		global $wpdb;
		include_once(BFTPRO_PATH."/models/user.php");
		$_bftpro_user = new BFTProUser();
		$_bftpro_user->ignore_redirect = true;
			
		// select triggers
		$triggers = $wpdb->get_results($wpdb->prepare("SELECT * FROM ".NAMBFTPRO_TRIGGERS." 
			WHERE trigger_action='completes_course' AND course_id=%d", $course_id));
			
		if(!sizeof($triggers)) return false;
		
		$user = get_userdata($user_id);
      $email = $user->user_email;
      $name = $user->display_name;
		
		foreach($triggers as $trigger) {
			$vars = array("name"=>$name, "email"=>$email, "list_id"=>$trigger->list_id, "status"=>1);
			// fill any required fields with "1" to avoid errors			
			$fields=$wpdb->get_results($wpdb->prepare("SELECT * FROM ".BFTPRO_FIELDS." WHERE list_id=%d", $relation->list_id));
			foreach($fields as $field) {
				if(!$field->is_required) continue;
				$vars['field_'.$field->id] = empty($data['field_'.$field->id]) ? 1 : $data['field_'.$field->id];
			}		 		
		 		
		 	$_bftpro_user->subscribe($vars, $message, true);
		} // end foreach trigger
	} // end catching complete
}