<?php
// main model containing general config and UI functions
class NamBftpro {
   static function install() {
   	global $wpdb;	
   	$wpdb -> show_errors();
   	
   	self::init();
	   
	    // relations bewteen completed exams and mailing lists. 
	    // For now not depending on exam result but place the field for later use
	    if($wpdb->get_var("SHOW TABLES LIKE '".NAMBFTPRO_TRIGGERS."'") != NAMBFTPRO_TRIGGERS) {  
	        $sql = "CREATE TABLE `".NAMBFTPRO_TRIGGERS."` (
					id int(11) unsigned NOT NULL auto_increment PRIMARY KEY,
					course_id int(11) unsigned NOT NULL default '0',
					list_id int(11) unsigned NOT NULL default '0',
					trigger_action VARCHAR(100) NOT NULL default '' /* subscribe (in list) or enroll / complete (in course) */
				) CHARACTER SET utf8;";
	        $wpdb->query($sql);         
	    }
	   // exit;
   }
   
   // main menu
   static function menu() {
   	add_submenu_page('namaste_options', __('Autoresponder Bridge', 'nambftpro'), __('Autoresponder Bridge', 'nambftpro'), 'manage_options', 
   		'nambftpro', array('NamBftproBridge','main'));	
	}
	
	// CSS and JS
	static function scripts() {   
   	wp_enqueue_script('jquery');
	}
	
	// initialization
	static function init() {
		global $wpdb;
		load_plugin_textdomain( 'nambftpro' );
		define('NAMBFTPRO_TRIGGERS', $wpdb->prefix.'nambftpro_triggers');		
		
		add_action('bftpro_user_subscribed', array('NamBftproBridge', 'subscribe'), 10, 2);
		add_action('namaste_enrolled_course', array('NamBftproBridge', 'enroll_course'), 10, 3);
		add_action('namaste_completed_course', array('NamBftproBridge', 'complete_course'), 10, 2);
	}	
}