<div class="wrap">
	<h1><?php _e('Namaste! LMS to BroadFast PRO Bridge', 'nambftpro')?></h1>
	
	<p><?php _e('This bridge lets you connect Namaste! LMS to the BroadFast PRO auto-responder plugin. You can create a link between courses from the LMS and drip marketing campaigns, so when user enrolls or complete a course, they can be automatically subscribed to a mailing list. It works also in the other direction - you can make users who subscribe to a selected mailing list automatically be enrolled in a course.', 'nambftpro')?></p>
	 
	<form method="post">
		<p><?php _e('When user', 'nambftpro')?> <select name="trigger_action">
			<option value="enrolls_in_course"><?php _e('Enrolls in', 'nambftpro')?></option>
			<option value="completes_course"><?php _e('Completes', 'nambftpro')?></option>
		</select>
		<?php _e('Course', 'nambftpro')?>
		<select name="course_id">
			<?php foreach($courses as $course):?>	
				<option value="<?php echo $course->ID?>"><?php echo $course->post_title?></option>
			<?php endforeach;?>
		</select>  <?php _e('subscribe them to mailing list:', 'nambftpro')?>
		
		<select name="list_id">
			<?php foreach($lists as $l):?>
				<option value="<?php echo $l->id?>"><?php echo $l->name?></option>
			<?php endforeach;?>
		</select>
				
		<input type="submit" name="add" value="<?php _e('Add Trigger', 'nambftpro')?>"></p>
	</form>	
	
	<form method="post">
		<p><?php _e('When user subscribes to', 'nambftpro')?> 
		
		<select name="list_id">
			<?php foreach($lists as $l):?>
				<option value="<?php echo $l->id?>"><?php echo $l->name?></option>
			<?php endforeach;?>
		</select>			
		
		<?php _e('Enroll them in course:', 'nambftpro')?>
		<select name="course_id">
			<?php foreach($courses as $course):?>	
				<option value="<?php echo $course->ID?>"><?php echo $course->post_title?></option>
			<?php endforeach;?>
		</select>  
				
		<input type="submit" name="add" value="<?php _e('Add Trigger', 'nambftpro')?>"></p>
		<input type="hidden" name="trigger_action" value="subscribe"> 
	</form>	
	
	<?php if(sizeof($triggers)):?>
		<h2><?php _e('Existing Triggers:', 'nambftpro')?></h2>
		
		<?php foreach($triggers as $trigger):
				if($trigger->trigger_action == 'subscribe'):?>
				<form method="post">
					<p><?php _e('When user subscribes to', 'nambftpro')?> 
					
					<select name="list_id">
						<?php foreach($lists as $l):
							$selected = ($l->id == $trigger->list_id) ? 'selected' : '';?>
							<option value="<?php echo $l->id?>" <?php echo $selected?>><?php echo $l->name?></option>
						<?php endforeach;?>
					</select>			
					
					<?php _e('Enroll them in course:', 'nambftpro')?>
					<select name="course_id">
						<?php foreach($courses as $course):
							$selected = ($course->ID == $trigger->course_id) ? 'selected' : '';?>	
							<option value="<?php echo $course->ID?>" <?php echo $selected?>><?php echo $course->post_title?></option>
						<?php endforeach;?>
					</select>  
							
					<input type="submit" name="save" value="<?php _e('Save', 'nambftpro')?>">
					<input type="button" value="<?php _e('Delete', 'nambftpro')?>" onclick="confirmDelTrigger(this.form);"></p>
					<input type="hidden" name="trigger_action" value="subscribe">
					<input type="hidden" name="id" value="<?php echo $trigger->id?>">  
					<input type="hidden" name="del" value="0">
				</form>	
				<?php else:?>
				<form method="post">
					<p><?php _e('When user', 'nambftpro')?> <select name="trigger_action">
						<option value="enrolls_in_course" <?php if($trigger->trigger_action == 'enrolls_in_course') echo 'selected'?>><?php _e('Enrolls in', 'nambftpro')?></option>
						<option value="completes_course" <?php if($trigger->trigger_action == 'completes_course') echo 'selected'?>><?php _e('Completes', 'nambftpro')?></option>
					</select>
					<?php _e('Course', 'nambftpro')?>
					
					<select name="course_id">
						<?php foreach($courses as $course):
							$selected = ($course->ID == $trigger->course_id) ? 'selected' : '';?>	
							<option value="<?php echo $course->ID?>" <?php echo $selected?>><?php echo $course->post_title?></option>
						<?php endforeach;?>
					</select>  <?php _e('subscribe them to mailing list:', 'nambftpro')?>
					
					<select name="list_id">
						<?php foreach($lists as $l):
							$selected = ($l->id == $trigger->list_id) ? 'selected' : '';?>
							<option value="<?php echo $l->id?>" <?php echo $selected?>><?php echo $l->name;?></option>
						<?php endforeach;?>
					</select>
							
					<input type="submit" name="save" value="<?php _e('Save', 'nambftpro')?>">
					<input type="button" value="<?php _e('Delete', 'nambftpro')?>" onclick="confirmDelTrigger(this.form);"></p>
					<input type="hidden" name="id" value="<?php echo $trigger->id?>">  
					<input type="hidden" name="del" value="0">
			 </form>	
			 <?php endif;?>
		<?php endforeach;?>
	<?php endif;?>
</div>   

<script type="text/javascript">
function confirmDelTrigger(frm) {
	if(confirm("<?php _e('Are you sure?', 'nambftpro')?>")) {
		frm.del.value=1;
		frm.submit();
	}
}
</script>